const useFormValidate = (ref, message = "请补全必填项!") => {
  return new Promise((resolve) => {
    ref.value
      .validate()
      .then(() => {
        resolve(true);
      })
      .catch(() => {
        // eslint-disable-next-line prefer-promise-reject-errors
        resolve(false);
        uni.$u.toast(message);
      });
  });
};
export default useFormValidate;
